<?php
/**
 * Hero pattern markup.
 *
 * @package Pattern
 */

$markup = '
<!-- wp:cover {"customOverlayColor":"#fff6e5","align":"full","className":"tw-h-auto tw-my-0"} -->
<div class="wp-block-cover alignfull has-background-dim tw-h-auto tw-my-0" style="background-color:#fff6e5"><div class="wp-block-cover__inner-container"><!-- wp:columns {"align":"wide","className":"tw-mb-0 md:tw-mb-10"} -->
<div class="wp-block-columns alignwide tw-mb-0 md:tw-mb-10"><!-- wp:column {"verticalAlignment":"center"} -->
<div class="wp-block-column is-vertically-aligned-center"></div>
<!-- /wp:column -->

<!-- wp:column {"width":33.33,"className":"tw-mb-0"} -->
<div class="wp-block-column tw-mb-0" style="flex-basis:33.33%"><!-- wp:heading {"align":"center","style":{"color":{"text":"#111111"}}} -->
<h2 class="has-text-align-center has-text-color" style="color:#111111">Have Questions?</h2>
<!-- /wp:heading -->

<!-- wp:separator {"customColor":"#ca8000","className":"pattern tw-my-3 is-style-pattern"} -->
<hr class="wp-block-separator has-text-color has-background pattern tw-my-3 is-style-pattern" style="background-color:#ca8000;color:#ca8000"/>
<!-- /wp:separator -->

<!-- wp:paragraph {"align":"center","style":{"color":{"text":"#111111"}}} -->
<p class="has-text-align-center has-text-color" style="color:#111111">We have answers.</p>
<!-- /wp:paragraph -->

<!-- wp:spacer {"height":40} -->
<div style="height:40px" aria-hidden="true" class="wp-block-spacer"></div>
<!-- /wp:spacer --></div>
<!-- /wp:column -->

<!-- wp:column {"verticalAlignment":"center"} -->
<div class="wp-block-column is-vertically-aligned-center"></div>
<!-- /wp:column --></div>
<!-- /wp:columns -->

<!-- wp:columns {"align":"wide","className":"tw-mb-0","style":{"color":{"text":"#111111"}}} -->
<div class="wp-block-columns alignwide tw-mb-0 has-text-color" style="color:#111111"><!-- wp:column {"className":"tw-my-3"} -->
<div class="wp-block-column tw-my-3"><!-- wp:group {"className":"tw-rounded-xl tw-shadow-xl tw-h-full tw-p-8 sm:tw-p-10","style":{"color":{"background":"#ffffff"}}} -->
<div class="wp-block-group tw-rounded-xl tw-shadow-xl tw-h-full tw-p-8 sm:tw-p-10 has-background" style="background-color:#ffffff"><div class="wp-block-group__inner-container"><!-- wp:image {"align":"center","id":258,"width":128,"height":128,"sizeSlug":"large","className":"tw-py-0"} -->
<div class="wp-block-image tw-py-0"><figure class="aligncenter size-large is-resized"><img src="/wp-content/plugins/pattern/src/assets/img/faq-blocks-icon-1.png" alt="" class="wp-image-258" width="128" height="128"/></figure></div>
<!-- /wp:image -->

<!-- wp:heading {"align":"center","level":4,"className":"tw-mt-0"} -->
<h4 class="has-text-align-center tw-mt-0">What is a block Pattern?</h4>
<!-- /wp:heading -->

<!-- wp:paragraph {"align":"center","className":"tw-mb-0","style":{"color":{"text":"#999999"}}} -->
<p class="has-text-align-center tw-mb-0 has-text-color" style="color:#999999">A useful website layout composed of Gutenberg blocks.</p>
<!-- /wp:paragraph --></div></div>
<!-- /wp:group --></div>
<!-- /wp:column -->

<!-- wp:column {"className":"tw-my-3"} -->
<div class="wp-block-column tw-my-3"><!-- wp:group {"className":"tw-rounded-xl tw-shadow-xl tw-h-full tw-p-8 sm:tw-p-10","style":{"color":{"background":"#ffffff"}}} -->
<div class="wp-block-group tw-rounded-xl tw-shadow-xl tw-h-full tw-p-8 sm:tw-p-10 has-background" style="background-color:#ffffff"><div class="wp-block-group__inner-container"><!-- wp:image {"align":"center","id":262,"width":128,"height":128,"sizeSlug":"large","className":"tw-py-0"} -->
<div class="wp-block-image tw-py-0"><figure class="aligncenter size-large is-resized"><img src="/wp-content/plugins/pattern/src/assets/img/faq-blocks-icon-2.png" alt="" class="wp-image-262" width="128" height="128"/></figure></div>
<!-- /wp:image -->

<!-- wp:heading {"align":"center","level":4,"className":"tw-mt-0"} -->
<h4 class="has-text-align-center tw-mt-0">Can I edit these FAQs?</h4>
<!-- /wp:heading -->

<!-- wp:paragraph {"align":"center","className":"tw-mb-0","style":{"color":{"text":"#999999"}}} -->
<p class="has-text-align-center tw-mb-0 has-text-color" style="color:#999999">Absolutely!  You can edit the colors, text, &amp; images.</p>
<!-- /wp:paragraph --></div></div>
<!-- /wp:group --></div>
<!-- /wp:column -->

<!-- wp:column {"className":"tw-my-3"} -->
<div class="wp-block-column tw-my-3"><!-- wp:group {"className":"tw-rounded-xl tw-shadow-xl tw-h-full tw-p-8 sm:tw-p-10","style":{"color":{"background":"#ffffff"}}} -->
<div class="wp-block-group tw-rounded-xl tw-shadow-xl tw-h-full tw-p-8 sm:tw-p-10 has-background" style="background-color:#ffffff"><div class="wp-block-group__inner-container"><!-- wp:image {"align":"center","id":266,"width":128,"height":128,"sizeSlug":"large","className":"tw-py-0"} -->
<div class="wp-block-image tw-py-0"><figure class="aligncenter size-large is-resized"><img src="/wp-content/plugins/pattern/src/assets/img/faq-blocks-icon-3.png" alt="" class="wp-image-266" width="128" height="128"/></figure></div>
<!-- /wp:image -->

<!-- wp:heading {"align":"center","level":4,"className":"tw-mt-0"} -->
<h4 class="has-text-align-center tw-mt-0">What if I want a different icon?</h4>
<!-- /wp:heading -->

<!-- wp:paragraph {"align":"center","className":"tw-mb-0","style":{"color":{"text":"#999999"}}} -->
<p class="has-text-align-center tw-mb-0 has-text-color" style="color:#999999">That icon is just an image, so swap it out w/ any icon.</p>
<!-- /wp:paragraph --></div></div>
<!-- /wp:group --></div>
<!-- /wp:column --></div>
<!-- /wp:columns -->

<!-- wp:columns {"align":"wide","className":"tw-mt-0","style":{"color":{"text":"#111111"}}} -->
<div class="wp-block-columns alignwide tw-mt-0 has-text-color" style="color:#111111"><!-- wp:column {"className":"tw-my-3"} -->
<div class="wp-block-column tw-my-3"><!-- wp:group {"className":"tw-rounded-xl tw-shadow-xl tw-h-full tw-p-8 sm:tw-p-10","style":{"color":{"background":"#ffffff"}}} -->
<div class="wp-block-group tw-rounded-xl tw-shadow-xl tw-h-full tw-p-8 sm:tw-p-10 has-background" style="background-color:#ffffff"><div class="wp-block-group__inner-container"><!-- wp:image {"align":"center","id":268,"width":128,"height":128,"sizeSlug":"large","className":"tw-py-0"} -->
<div class="wp-block-image tw-py-0"><figure class="aligncenter size-large is-resized"><img src="/wp-content/plugins/pattern/src/assets/img/faq-blocks-icon-4.png" alt="" class="wp-image-268" width="128" height="128"/></figure></div>
<!-- /wp:image -->

<!-- wp:heading {"align":"center","level":4,"className":"tw-mt-0"} -->
<h4 class="has-text-align-center tw-mt-0">How do I add more FAQs?</h4>
<!-- /wp:heading -->

<!-- wp:paragraph {"align":"center","className":"tw-mb-0","style":{"color":{"text":"#999999"}}} -->
<p class="has-text-align-center tw-mb-0 has-text-color" style="color:#999999">It\'s fast and easy. Simply duplicate any row of FAQs.</p>
<!-- /wp:paragraph --></div></div>
<!-- /wp:group --></div>
<!-- /wp:column -->

<!-- wp:column {"className":"tw-my-3"} -->
<div class="wp-block-column tw-my-3"><!-- wp:group {"className":"tw-rounded-xl tw-shadow-xl tw-h-full tw-p-8 sm:tw-p-10","style":{"color":{"background":"#ffffff"}}} -->
<div class="wp-block-group tw-rounded-xl tw-shadow-xl tw-h-full tw-p-8 sm:tw-p-10 has-background" style="background-color:#ffffff"><div class="wp-block-group__inner-container"><!-- wp:image {"align":"center","id":270,"width":128,"height":128,"sizeSlug":"large","className":"tw-py-0"} -->
<div class="wp-block-image tw-py-0"><figure class="aligncenter size-large is-resized"><img src="/wp-content/plugins/pattern/src/assets/img/faq-blocks-icon-5.png" alt="" class="wp-image-270" width="128" height="128"/></figure></div>
<!-- /wp:image -->

<!-- wp:heading {"align":"center","level":4,"className":"tw-mt-0"} -->
<h4 class="has-text-align-center tw-mt-0">Can I make the answers longer?</h4>
<!-- /wp:heading -->

<!-- wp:paragraph {"align":"center","className":"tw-mb-0","style":{"color":{"text":"#999999"}}} -->
<p class="has-text-align-center tw-mb-0 has-text-color" style="color:#999999">You definitely can.  You can make them as long as you want.</p>
<!-- /wp:paragraph --></div></div>
<!-- /wp:group --></div>
<!-- /wp:column -->

<!-- wp:column {"className":"tw-my-3"} -->
<div class="wp-block-column tw-my-3"><!-- wp:group {"className":"tw-rounded-xl tw-shadow-xl tw-h-full tw-p-8 sm:tw-p-10","style":{"color":{"background":"#ffffff"}}} -->
<div class="wp-block-group tw-rounded-xl tw-shadow-xl tw-h-full tw-p-8 sm:tw-p-10 has-background" style="background-color:#ffffff"><div class="wp-block-group__inner-container"><!-- wp:image {"align":"center","id":275,"width":128,"height":128,"sizeSlug":"large","className":"tw-py-0"} -->
<div class="wp-block-image tw-py-0"><figure class="aligncenter size-large is-resized"><img src="/wp-content/plugins/pattern/src/assets/img/faq-blocks-icon-6.png" alt="" class="wp-image-275" width="128" height="128"/></figure></div>
<!-- /wp:image -->

<!-- wp:heading {"align":"center","level":4,"className":"mt-0"} -->
<h4 class="has-text-align-center mt-0">I need a link, how do I add one?</h4>
<!-- /wp:heading -->

<!-- wp:paragraph {"align":"center","className":"tw-mb-0","style":{"color":{"text":"#999999"}}} -->
<p class="has-text-align-center tw-mb-0 has-text-color" style="color:#999999">You can add a link to any text, or even add a button if you want!</p>
<!-- /wp:paragraph --></div></div>
<!-- /wp:group --></div>
<!-- /wp:column --></div>
<!-- /wp:columns --></div></div>
<!-- /wp:cover -->';

return array(
	'title'      => esc_html__( 'Blocks', 'pattern' ),
	'categories' => array( 'faq', 'pattern' ),
	'content'    => $markup,
);
